import 'package:hmg_patient_app/core/model/pharmacies/PharmacyProduct.dart';
import 'package:hmg_patient_app/core/viewModels/project_view_model.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/widgets/data_display/text.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class DetailsInfo extends StatelessWidget {

  final PharmacyProduct? product;

  const DetailsInfo({Key? key, this.product}) : super(key: key);


  @override
  Widget build(BuildContext context) {
    ProjectViewModel projectViewModel = Provider.of(context);
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment:
          CrossAxisAlignment.start,
          children: [
//            Container(
//              child: Texts(
//                TranslationBase.of(context)
//                    .description,
//                  fontSize: 17,
//                  color: Colors.grey,
//              ),
//            ),
//            SizedBox(
//              height: 10,
//            ),
//            Divider(height: 1, color: Colors.grey),
            SizedBox(
              height: 10,
            ),
            Container(
              margin: EdgeInsets.only(left: 10, right: 10),
              child: Text(
                projectViewModel.isArabic
                    ? product!.fullDescriptionn!
                    : product!
                    .fullDescription! ??
                    "",
                style: TextStyle(fontWeight: FontWeight.w600, fontSize: 14, letterSpacing:-0.56),
              ),
            ),
            SizedBox(
              height: 60,
            ),
          ]),
    );
  }
}
